Fehlermeldung beim update

Hilfe bei Updates und Installtion von neuen Paketen bzw. Programmen.
Antworten
Benutzeravatar

Themen Author
uhima
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 2
Registriert: Freitag 11. Oktober 2019, 18:58
Wohnort: Bonn
CPU: 4 x Intel Core i5-3320M
GPU: Intel HD4000
Kernel: 4.19.79-1
DE: Manjaro KDE
GPU Treiber: i915

Fehlermeldung beim update

#1

#1 Beitrag von uhima » Freitag 11. Oktober 2019, 19:23

Hallo miteinander,
Ich wollte heute mein System updaten. Es kommt folgende Fehlermeldung: Konnte den Vorgang nicht durchführen (in Konflikt stehende Dateien) libxvmc: /usr/include/X11/Extensions/vldXvMC.h existiert im Dateisystem. Anschließend habe ich das System heruntergefahren. Nun klappt gar nichts mehr. Nach einem Neustart erscheint nur ein schwarzer Bildschirm mit einem riesigen KDE Logo im Zentrum. Vielen Dank schon einmal für eure Tipps. Es grüßt freundlich Udo

Benutzeravatar

gosia
Forum Held
Forum Held
Beiträge: 970
Registriert: Dienstag 24. Mai 2016, 13:33
CPU: Intel i5-3210M
GPU: Intel HD 4000
Kernel: 4.19
DE: Openbox
GPU Treiber: i915
Hat sich bedankt: 6 Mal
Danksagung erhalten: 121 Mal

Re: Fehlermeldung beim update

#2

#2 Beitrag von gosia » Freitag 11. Oktober 2019, 22:48

Hallo uhima,
der schnellste, aber nicht 100%-ig sichere Weg, wäre es, in ein Teminal zu wechseln, dort die betreffende Datei zu löschen

Code: Alles auswählen

sudo rm /usr/include/X11/Extensions/vldXvMC.h
oder mit mv umzubennenen (wenn Du vorsichtiger bist)
Anschliessend kannst Du versuchen, ob ein erneutes update mit pacman jetzt gelingt.
Da ich aber bei einer *.h-Datei Zweifel habe (gibt bestimmt noch mehr Sourcen), kannst Du auch mit

Code: Alles auswählen

pacman -Qo /usr/include/X11/Extensions/vldXvMC.h
versuchen, rauszufinden, zu welchem Paket die Datei gehört und anschliessend entweder das Paket vorläufig zu löschen

Code: Alles auswählen

sudo pacman -R PAKETNAME
oder mit --overwrite zu überschreiben.
Zum ganzen Schlamassel s. diese alte, aber wohl noch gültige Anleitung
https://forum.manjaro.org/t/package-ins ... files/4382

viele Grüße gosia

Benutzeravatar

Themen Author
uhima
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 2
Registriert: Freitag 11. Oktober 2019, 18:58
Wohnort: Bonn
CPU: 4 x Intel Core i5-3320M
GPU: Intel HD4000
Kernel: 4.19.79-1
DE: Manjaro KDE
GPU Treiber: i915

Re: Fehlermeldung beim update

#3

#3 Beitrag von uhima » Samstag 12. Oktober 2019, 17:28

Hallo gosia,
vielen Dank für die Hinweise. Das Problem ist gelöst.
Es grüsst freundlich Udo

Antworten